Bug 42632 - make install fails on most compilations
make install fails on most compilations
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-28 20:24 EDT by z.srdjan
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-01 05:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ran gcc * -save-tems -v in directory as suggested by Jakub (121.85 KB, text/plain)
2001-06-01 00:11 EDT, z.srdjan
no flags Details
Same as above attachment and comment (37.64 KB, text/plain)
2001-06-01 00:22 EDT, z.srdjan
no flags Details

  None (edit)
Description z.srdjan 2001-05-28 20:24:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i586; en-US; rv:0.9)
Gecko/20010507

Description of problem:
Most of the time when I try to install program/app from *.tar.gz source it
will fail at either make or make install. ./configure works fine.
I can install apache and proftpd from *.tar.gz files but not Php and some
other more important packages.

How reproducible:
Sometimes

Steps to Reproduce:
1../configure
2.make
3.make install
	

Actual Results:  usr/include/bits/mathinline.h: In function `__sgnf':
/usr/include/bits/mathinline.h:291: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[4]: *** [string.lo] Error 1
make[4]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql'
make[3]: *** [install-recursive] Error 1
make[3]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql'
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext'
make: *** [install-recursive] Error 1


Expected Results:  Php installed without a problem

Additional info:

Using RH 7.1, Amd K6-2 500Mhz, 256Mb Ram, 27Gb Maxtor HD, Acer Allading
Motherboard, 2 NICs, SB16pnp, CDR
Comment 1 Jakub Jelinek 2001-05-29 03:07:19 EDT
The most important question: is it reproduceable? If not, I'd suggest looking
for better hardware; if yes, please paste the exact gcc command line which
causes the segfault and if running that from command line results in the
segfault, repeat it with -save-temps option and post here the command line
and attach the preprocessed source gcc creates (.i or .ii extension).
Comment 2 z.srdjan 2001-05-29 19:42:53 EDT
It is reproduceable. Here is the whole error.  Would I run
make install -save-temps and send you source gcc creates 
(.i or .ii extension) or would this be enough?
ThanX

make install 
Making install in Zend
make[1]: Entering directory `/dnsv/dnld/apache/php-4.0.5/Zend'
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_language_scanner.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_ini_scanner.c
/bin/sh ../libtool --silent --mode=link gcc  -g -O2  -o libZend_c.la   
zend_language_scanner.lo zend_ini_scanner.lo  
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_language_parser.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_ini_parser.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_alloc.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_compile.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_constants.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_dynamic_array.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main  -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g   -c ./zend_execute.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_execute_API.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_highlight.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_llist.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_opcode.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_operators.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_ptr_stack.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_stack.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_variables.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_API.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_extensions.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_hash.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_list.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_indent.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c 
zend_builtin_functions.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_sprintf.c
/bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -
I../main   -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12  -g -O2 -c zend_ini.c
/bin/sh ../libtool --silent --mode=link gcc  -g -O2  -o libZend.la  -lpam  -
ldl -lresolv -lm -ldl -lcrypt -lnsl  -lresolv  zend_language_parser.lo 
zend_ini_parser.lo zend_alloc.lo zend_compile.lo zend_constants.lo 
zend_dynamic_array.lo zend_execute.lo zend_execute_API.lo zend_highlight.lo 
zend_llist.lo zend_opcode.lo zend_operators.lo zend_ptr_stack.lo zend_stack.lo 
zend_variables.lo zend.lo zend_API.lo zend_extensions.lo zend_hash.lo 
zend_list.lo zend_indent.lo zend_builtin_functions.lo zend_sprintf.lo 
zend_ini.lo libZend_c.la 
make[2]: Entering directory `/dnsv/dnld/apache/php-4.0.5/Zend'
make[2]: Nothing to be done for `install-exec-am'.
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/Zend'
make[1]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/Zend'
Making install in main
make[1]: Entering directory `/dnsv/dnld/apache/php-4.0.5/main'
make[2]: Entering directory `/dnsv/dnld/apache/php-4.0.5/main'
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c main.c && touch main.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c internal_functions.c && touch 
internal_functions.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c snprintf.c && touch snprintf.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_sprintf.c && touch 
php_sprintf.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c safe_mode.c && touch safe_mode.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c fopen_wrappers.c && touch 
fopen_wrappers.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c alloca.c && touch alloca.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_ini.c && touch php_ini.lo
php_ini.c: In function `php_init_config':
php_ini.c:188: warning: passing arg 3 of `zend_llist_init' from incompatible 
pointer type
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c SAPI.c && touch SAPI.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c rfc1867.c && touch rfc1867.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_content_types.c && touch 
php_content_types.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c strlcpy.c && touch strlcpy.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c strlcat.c && touch strlcat.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c mergesort.c && touch mergesort.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c reentrancy.c && touch reentrancy.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_variables.c && touch 
php_variables.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_ticks.c && touch php_ticks.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c network.c && touch network.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_open_temporary_file.c && touch 
php_open_temporary_file.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c php_logos.c && touch php_logos.lo
/bin/sh /dnsv/dnld/apache/php-4.0.5/libtool --silent --mode=link gcc  -I. -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5/main -
I/dnsv/dnld/apache/php-4.0.5 -I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2   -o libmain.la  main.lo 
internal_functions.lo snprintf.lo php_sprintf.lo safe_mode.lo fopen_wrappers.lo 
alloca.lo php_ini.lo SAPI.lo rfc1867.lo php_content_types.lo strlcpy.lo 
strlcat.lo mergesort.lo reentrancy.lo php_variables.lo php_ticks.lo network.lo 
php_open_temporary_file.lo php_logos.lo  
make[2]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/main'
make[1]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/main'
Making install in ext
make[1]: Entering directory `/dnsv/dnld/apache/php-4.0.5/ext'
Making install in mysql
make[2]: Entering directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql'
Making install in libmysql
make[3]: Entering directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql'
make[4]: Entering directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql'
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c libmysql.c && touch libmysql.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c errmsg.c && touch errmsg.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c net.c && touch net.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c violite.c && touch violite.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c password.c && touch password.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_init.c && touch my_init.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_lib.c && touch my_lib.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_static.c && touch my_static.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_malloc.c && touch my_malloc.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_realloc.c && touch my_realloc.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_create.c && touch my_create.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_delete.c && touch my_delete.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_tempnam.c && touch my_tempnam.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_open.c && touch my_open.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c mf_casecnv.c && touch mf_casecnv.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_read.c && touch my_read.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_write.c && touch my_write.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c errors.c && touch errors.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_error.c && touch my_error.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_getwd.c && touch my_getwd.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_div.c && touch my_div.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c mf_pack.c && touch mf_pack.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c my_messnc.c && touch my_messnc.lo
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c mf_dirname.c && touch mf_dirname.lo
In file included from /usr/include/math.h:350,
               from /dnsv/dnld/apache/php-4.0.5/main/php_config.h:1840,
                 from my_config.h:1,
                 from global.h:20,
                 from mysys_priv.h:4,
                 from mf_dirname.c:4:
/usr/include/bits/mathinline.h: In function `__sgn':
/usr/include/bits/mathinline.h:291: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[4]: *** [mf_dirname.lo] Error 1
make[4]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql'
make[3]: *** [install-recursive] Error 1
make[3]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql'
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext/mysql'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/dnsv/dnld/apache/php-4.0.5/ext'
make: *** [install-recursive] Error 1
Comment 3 Jakub Jelinek 2001-05-30 02:54:18 EDT
You should run:
gcc  -I. -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/main -I/dnsv/dnld/apache/php-4.0.5 -
I/dnsv/dnld/apache/apache_1.3.20/src/include -
I/dnsv/dnld/apache/apache_1.3.20/src/os/unix -I/dnsv/dnld/apache/php-
4.0.5/Zend -I/dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql -
I/dnsv/dnld/apache/php-4.0.5/ext/xml/expat/xmltok -I/dnsv/dnld/apache/php-
4.0.5/ext/xml/expat/xmlparse -I/dnsv/dnld/apache/php-4.0.5/TSRM  -
DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c mf_dirname.c -save-temps -v
in /dnsv/dnld/apache/php-4.0.5/ext/mysql/libmysql directory.
Comment 4 z.srdjan 2001-06-01 00:11:29 EDT
Created attachment 20070 [details]
ran gcc * -save-tems -v in directory as suggested by Jakub
Comment 5 z.srdjan 2001-06-01 00:20:09 EDT
It is not gcc * -save-temps -v only but actual command that you suggested.  I
replaced what comes between gcc and -save-tems -v with *.  So I have executed
the command that you suggested in the directory specified and I have attached
*.i file.  I believe that two more files were created with that command.
mf_dirname.o mf_dirname.s. I will attach mf_dirname.s also.  Let me know If more
info is needed.
Comment 6 z.srdjan 2001-06-01 00:22:14 EDT
Created attachment 20072 [details]
Same as above attachment and comment
Comment 7 Jakub Jelinek 2001-06-01 05:14:15 EDT
Cannot reproduce. Are you sure the segfault is reproduceable?
Compiler segfaults are in 99.999% reproduceable given the same options and
same input. If you see random segfaults on different files each time, I'd
suggest looking for better quality hardware.
I've tried different compiler versions, could not reproduce on any of them.

Note You need to log in before you can comment on or make changes to this bug.